<?php

/*  
Theme Name: Halloween
Version: 1.1
Author: Dan Masters
Author URI: http://dan.idano.net/

PHP-fusion version
Author: StarglowOne
Author URI: http://www.starglowone.com/

*/

if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_WIDTH", "959");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {

	global $settings, $main_style;

	//Header
    echo "<table cellpadding='0' cellspacing='0' class='full-header border' align='center'>\n<tr>\n";
    echo "<td width='100%'>\n".showbanners()."</td>\n";
    echo "</tr>\n</table>\n";
	
    echo "<table width='".THEME_WIDTH."' cellspacing='0' cellpadding='0' class='border' align='center'>\n<tr>\n";
    echo "<td class='white-header'>\n".showsublinks("","white")."</td>\n";
    echo "<td align='right' class='white-header'>\n".showsubdate()."</td>\n";
    echo "</tr>\n</table>\n";
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' align='center'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' align='center'>\n<tr>\n";
	echo "<td align='center' class='footer'>".stripslashes($settings['footer'])."<br />\n";
	if (!$license) { echo showcopyright()."<br />\n"; 
    echo "Halloween | Based on a theme by <a target='_blank' href='http://dan.idano.net'>Dan Masters</a> | Coverted by <a target='_blank' href='http://www.starglowone.eu/'>StarglowOne</a> and <a href='http://php-fusion.openworld.dk' target='_blank'>Harly</a><br />\n"; }
    echo showcounter()."<br />\n";
	echo "</td>\n</tr>\n</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n</tr>\n</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td align='right' class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='side-left'></td>";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "<td align='right' class='side-right'></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellspacing='0' cellpadding='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='side-btm-left'><img src='".THEME."images/blank.gif' alt='blank.gif' style='display:block;width:10px;height:10px;' /></td>";
	echo "<td class='side-btm' style='width:100%;'></td>\n";
	echo "<td class='side-btm-right'><img src='".THEME."images/blank.gif' alt='blank.gif' style='display:block;width:10px;height:10px;' /></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div class='border'></div>\n";

}

?>